aboutsummaryrefslogtreecommitdiff
path: root/lib/cpluff/examples/autogen.sh
diff options
context:
space:
mode:
authoralcoheca <alcoheca@svn>2010-03-26 13:35:35 +0000
committeralcoheca <alcoheca@svn>2010-03-26 13:35:35 +0000
commitb632a42d5cacdda7bb07a3fee995a4f0de1deba9 (patch)
treeb174ecd7ce4830785293fa6d18ab65d30c0cc375 /lib/cpluff/examples/autogen.sh
parent5ccef76d00e1dc22d6ae5d1c08172630f5972e58 (diff)
copied cpluff-0.1.3 from vendor branch
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@28834 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'lib/cpluff/examples/autogen.sh')
-rwxr-xr-xlib/cpluff/examples/autogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/lib/cpluff/examples/autogen.sh b/lib/cpluff/examples/autogen.sh
new file mode 100755
index 0000000000..8a8235f348
--- /dev/null
+++ b/lib/cpluff/examples/autogen.sh
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+# Copyright 2007 Johannes Lehtinen
+# This shell script is free software; Johannes Lehtinen gives
+# unlimited permission to copy, distribute and modify it.
+
+set -e
+
+# Check directory
+basedir="`dirname "$0"`"
+if ! test -f "$basedir"/cpfile/Makefile.am; then
+ echo 'Run autogen.sh in the examples source directory.' 1>&2
+ exit 1
+fi
+
+# Generate files in examples directory
+cd "$basedir"
+test -d auxliary || mkdir auxliary
+libtoolize --automake -f
+aclocal
+autoconf
+automake -a